Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface EclipseProjectDependency

    org.gradle.api.artifacts.Dependency
      org.gradle.tooling.model.eclipse.EclipseProjectDependency
          org.gradle.tooling.model.ProjectDependency

All Superinterfaces:
  Dependency, ProjectDependency

    public interface EclipseProjectDependency
    extends ProjectDependency

Represents a dependency on another Eclipse project.

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary
`String` | `getPath()` Returns the path to use for this project dependency.
`HierarchicalEclipseProject` | `getTargetProject()` Returns the target of this dependency.

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Method Detail

### getPath

    public String getPath()

  Returns the path to use for this project dependency.

### getTargetProject

    public HierarchicalEclipseProject getTargetProject()

  Returns the target of this dependency.
  Returns:
    The target project. Does not return null.

Gradle API 1.1-rc-1